Subject: Replying to a specific message crashes pine 4.33

From: Matt Ackeret <[email-masked]>
Date: Tue, 17 Jun 2003 11:00:57 -0700 (PDT)

This is on my personal acct with pine 4.33, sorry.. (they haven't
updated it in a long time obviously, and whatever mail system they use
makes it a pain to upgrade -- I can't just compile my own and use it..
Err maybe I could if I use IMAP..)

Anyway.  Replying to a specific spam message (that I'll save), I get this:

It says something like "error including all message parts", then crashes.

Under gdb, I get:

Program received signal SIGSEGV, Segmentation fault.
0x11d418 in send_body_size ()
(gdb) bt
#0  0x11d418 in send_body_size ()
#1  0x11d434 in send_body_size ()
#2  0x119a30 in outgoing2strings ()
#3  0x114238 in pine_send ()
#4  0x101b6c in reply ()
#5  0xa1b30 in cmd_reply ()
#6  0x9e624 in process_cmd ()
#7  0xcf8b8 in scrolltool ()
#8  0xc3d60 in mail_view_screen ()
#9  0xfbe88 in main ()
(gdb) thread apply all bt

Does anybody know if this was fixed in a later pine and/or anything else
I could figure out that'd help?

-- 
top-posting: It's just a bad idea.
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------